Subject: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Manuel Giraud <[email-masked]>
Date: Tue, 21 Jun 2022 14:30:12 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> I think it's better to have a variable that people who need to debug
>> this code could set.
>
> I've now introduced a variable for this -- lucid--menu-grab-keyboard.

Hi Lars,

Another data point: this patch is a regression for me.

I have the menu-bar on and when I navigate it with the keyboard
afterward I cannot revert to "correct" behaviour into buffers: my cursor
stays hollow, and since I'm using EXWM, external X programs cannot get
back the keyboard input at all.

Tell me, if you want me to do some tests.
-- 
Manuel Giraud